org.apache.ignite.internal

## Enum IgniteComponentType

- java.lang.Object
- - java.lang.Enum<IgniteComponentType>
  - - org.apache.ignite.internal.IgniteComponentType

All Implemented Interfaces:
  Serializable, Comparable<IgniteComponentType>

    public enum IgniteComponentType
    extends Enum<IgniteComponentType>

Component type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HADOOP` Hadoop.
`IGFS` IGFS.
`IGFS_HELPER` IGFS helper component.
`INDEXING` Indexing.
`JTA` Integration of cache transactions with JTA.
`SCHEDULE` Cron-based scheduling, see `IgniteScheduler`.
`SPRING` Spring XML parsing.
`SSH` Nodes starting using SSH.

### Method Summary

Methods
`String` `className()`
`<T> T` `create(boolean noOp)` Creates component.
`<T extends GridComponent> T` `create(GridKernalContext ctx, boolean noOp)` Creates component.
`<T extends GridComponent> T` `createIfInClassPath(GridKernalContext ctx, boolean mandatory)` Creates component.
`<T> T` `createOptional()` First tries to find main component class, if it is not found creates no-op implementation.
`<T> T` `createOptional(GridKernalContext ctx)` First tries to find main component class, if it is not found creates no-op implementation.
`boolean` `inClassPath()` Check whether real component class is in classpath.
`MessageFactory` `messageFactory()` Creates message factory for the component.
`String` `module()`
`static IgniteComponentType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IgniteComponentType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### IGFS

    public static final IgniteComponentType IGFS

IGFS.

#### HADOOP

    public static final IgniteComponentType HADOOP

Hadoop.

#### IGFS_HELPER

    public static final IgniteComponentType IGFS_HELPER

IGFS helper component.

#### SPRING

    public static final IgniteComponentType SPRING

Spring XML parsing.

#### INDEXING

    public static final IgniteComponentType INDEXING

Indexing.

#### SSH

    public static final IgniteComponentType SSH

Nodes starting using SSH.

#### JTA

    public static final IgniteComponentType JTA

Integration of cache transactions with JTA.

#### SCHEDULE

    public static final IgniteComponentType SCHEDULE

Cron-based scheduling, see `IgniteScheduler`.

### Method Detail

#### values

    public static IgniteComponentType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IgniteComponentType c : IgniteComponentType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IgniteComponentType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### className

    public String className()

Returns:
  Component class name.

#### module

    public String module()

Returns:
  Component module name.

#### inClassPath

    public boolean inClassPath()

Check whether real component class is in classpath.

Returns:
  `True` if in classpath.

#### create

    public <T extends GridComponent> T create(GridKernalContext ctx,
                                     boolean noOp)
                                   throws IgniteCheckedException

Creates component.

Parameters:
  `ctx` - Kernal context.
  `noOp` - No-op flag.
Returns:
  Created component.
Throws:
  `IgniteCheckedException` - If failed.

#### createIfInClassPath

    public <T extends GridComponent> T createIfInClassPath(GridKernalContext ctx,
                                                  boolean mandatory)
                                                throws IgniteCheckedException

Creates component.

Parameters:
  `ctx` - Kernal context.
  `mandatory` - If the component is mandatory.
Returns:
  Created component.
Throws:
  `IgniteCheckedException` - If failed.

#### create

    public <T> T create(boolean noOp)
             throws IgniteCheckedException

Creates component.

Parameters:
  `noOp` - No-op flag.
Returns:
  Created component.
Throws:
  `IgniteCheckedException` - If failed.

#### createOptional

    public <T> T createOptional(GridKernalContext ctx)
                     throws IgniteCheckedException

First tries to find main component class, if it is not found creates no-op implementation.

Parameters:
  `ctx` - Kernal context.
Returns:
  Created component or no-op implementation.
Throws:
  `IgniteCheckedException` - If failed.

#### createOptional

    public <T> T createOptional()
                     throws IgniteCheckedException

First tries to find main component class, if it is not found creates no-op implementation.

Returns:
  Created component or no-op implementation.
Throws:
  `IgniteCheckedException` - If failed.

#### messageFactory

    @Nullable
    public MessageFactory messageFactory()
                                  throws IgniteCheckedException

Creates message factory for the component.

Returns:
  Message factory or `null` if none or the component is not in classpath.
Throws:
  `IgniteCheckedException` - If failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015